* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: white;
}

body {
    background-color: rgb(32, 30, 44);
    font-family: Verdana, Tahoma;
}

.top-header {
    height: 100px;
    left: 0;
    top: 0;
    position: fixed;
    display: flex;
    align-items: center;
    background-color: rgb(36, 34, 49);
    width: 100%;
    z-index: 6;
}

.left {
    width: 20%;
    height: 100px;
    display: flex;
    align-items: center;
}

.header-left {
    margin-left: 10px;
    width: 60px;
    height: 60px;
    border-radius: 20px;
    background-color: #8C00FF;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-left img {
    width: 55px;
    height: 55px;
    margin-left: -2px;
    cursor: pointer;
}

.header-right {
    display: flex;
    align-items: center;
    justify-content: start;
    height: 100px;
    width: 5%;
}

.header-center {
    width: 65%;
    height: 100px;
    align-items: center;
    display: flex;
    justify-content: end;
}

.mobile-btn {
    width: 60px;
    height: 60px;
    display: flex;
    flex-direction: column;
    background-color: transparent;
    border: none;
    gap: 8px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.mobile-btn span {
    width: 35px; /* pełna szerokość */
    height: 5px;
    background-color: white;
    border-radius: 5px;
    transition: transform 0.3s ease, opacity 0.3s ease;
    position: relative;
}
.log-in {
    font-size: 15px;
    float: right;
    text-align: center;
    margin-right: 10px;
}

.mobile-nav-container {
    display: none;
}

ul {
    list-style: none;
}

.mobile-nav-container.active {
    position: fixed;
    z-index: 5;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    width: 250px;
    height: 100%;
    background-color: rgb(36, 34, 49);
    overflow: hidden;
}

.mobile-link {
    margin-top: 50px;
}

.mobile-link a {
    text-decoration: none;
    font-size: 25px;
}

.open {
    transform: rotate(90deg);
}

.open .hamburger-top {
    transform: rotate(45deg) translate(11px, 8px);
}

.open .hamburger-middle {
    opacity: 0; /* ukrycie środkowego paska */
}

.open .hamburger-bottom {
    transform: rotate(-45deg) translate(10px, -7px);
}



.first-sec {
    position: relative; /* Ustawienie kontekstu pozycji dla dzieci */
    width: 100%;
    height: 100vh; /* Sekcja na pełną wysokość ekranu */
    overflow: hidden; /* Ukrycie nadmiarowych elementów */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
  }

  .main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .main img {
    margin-top: 30px;
    width: 330px;
    padding: 10px;
    border: 1px dashed #8C00FF;
    border-radius: 10px;
  }

.downloadbtn {
    border: 1px solid #8C00FF;
    background-color: rgb(36, 34, 49);
    padding: 20px;
    font-size: 20px;
    border-radius: 20px;
    margin-top: 10px;
    cursor: pointer;
    animation: glow 5s infinite ease-in-out;
}


footer {
    width: 100%;
    height: 100px;
    background-color: rgb(36, 34, 49);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    position: absolute;
    bottom: 0;
    left: 0;
}



.footerlogo {
    width: 48px;
    height: 48px;
    background-color: #8C00FF;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footerlogo img {
    width: 44px;
}

.copyright {
    font-size: 15px;
    color: gray;
}

@media only screen and (min-width: 800px) {
    .header-center {
        width: 70%;
    }
    .logo {
        width: 350px;
        height: 350px;
    }

    .logo .background {
        width: 270px;
        height: 300px;
        border-radius: 50px;
    }

    .logo .background img {
        width: 240px;
    }

    .image img {
        width: 600px;
    }

    .trademark {
        font-size: 33px;
    }

    .download-title {
        font-size: 30px;
    }

    .main img {
        width: 700px;
    }
    
}

@media only screen and (min-width: 1500px) {
    .header-center {
        width: 80%;
    }
    .image {
        border-radius: 30px;
    }
    .image img {
        width: 1100px;
    }

    .second-sec {
        height: 100vh;
    }

    .downloadbutton {
        font-size: 32px;
    }
    
    .section-title {
        font-size: 40px;
    }

    .main img {
        width: 80%;
        border-radius: 30px;
    }

    .main {
        margin-top: 10px;
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }


    .main-left {
        width: 70%;
    }

    .main-right {
        width: 30%;
        display: flex;
        justify-content: start;
    }

    .downloadbtn {
        height: 100px;
        width: 200px;
        border-radius: 50px;
        font-size: 30px;
    }
}

@keyframes glow {
    0% {
      box-shadow: 0 0 10px 0px rgba(138, 43, 226, 0.6);
    }
    50% {
      box-shadow: 0 0 30px 0px rgba(138, 43, 226, 0.8);
    }
    100% {
      box-shadow: 0 0 10px 0px rgba(138, 43, 226, 0.6);
    }
  }